---
title: Get information about a sending batch
slug: campaign/api/get-information-about-a-sending-batch
docTags: 
createdAt: 2026-09-02T15:04:15.718Z
---

{
  "id": "jYdTGa3HNpW4oO2pZ7pkI",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.campaign.episerver.net/rest/{clientId}/sending/batches/{sendingBatchId}",
    "servers": [
      {
        "url": "https://api.campaign.episerver.net/rest/{clientId}/sending/batches/{sendingBatchId}"
      }
    ],
    "name": "Get information about a sending batch",
    "description": "<p>Get detailed information about a sending batch, such as id, campaign, recipient list and state.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "clientId",
          "type": "number",
          "description": "Client ID"
        },
        {
          "kind": "required",
          "name": "sendingBatchId",
          "type": "number",
          "description": "Sending Batch ID"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/vnd.optivo.broadmail.v1+json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Authorization",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "The sending batch was retrieved successfully",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "RestSendingBatch",
            "schema": [
              {
                "name": "id",
                "kind": "optional",
                "type": "integer<int64>",
                "description": "Batch ID",
                "format": "int64"
              },
              {
                "name": "campaignId",
                "kind": "optional",
                "type": "integer<int64>",
                "description": "Campaign ID",
                "format": "int64"
              },
              {
                "name": "recipientListId",
                "kind": "optional",
                "type": "integer<int64>",
                "description": "Recipient list ID",
                "format": "int64"
              },
              {
                "name": "tag",
                "kind": "optional",
                "type": "string",
                "description": "Tag"
              },
              {
                "name": "chunks",
                "kind": "optional",
                "type": "array",
                "description": "Chunks",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "state",
                "kind": "optional",
                "type": "string<initiated | has_recipients | sent | invalid>",
                "description": "State",
                "enum": [
                  "initiated",
                  "has_recipients",
                  "sent",
                  "invalid"
                ]
              },
              {
                "name": "links",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "uriBuilder",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "example": "",
                    "schema": []
                  },
                  {
                    "name": "rels",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "rel",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "type",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "params",
                    "kind": "optional",
                    "type": "map",
                    "description": "",
                    "example": "",
                    "customType": "map<string, string>",
                    "schema": []
                  },
                  {
                    "name": "title",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "uri",
                    "kind": "optional",
                    "type": "string<uri>",
                    "description": "",
                    "format": "uri"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/RestSendingBatch",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "The sending batch could not be found. Ensure that the required parameter is correct and the sending batch entry exists.",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "4GYbm4wpuSjpsN7VMNP9O",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.campaign.episerver.net/rest/{clientId}/sending/batches/{sendingBatchId} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "_OboRLO3qBY3_3vK1-S3R",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.campaign.episerver.net/rest/{clientId}/sending/batches/{sendingBatchId}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "3Y0tH7ND8r2eQsHhJhvuf",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.campaign.episerver.net/rest/{clientId}/sending/batches/{sendingBatchId}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "nEqfFI1bIy1PGNahoXSQm",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.campaign.episerver.net/rest/{clientId}/sending/batches/{sendingBatchId}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "4GYbm4wpuSjpsN7VMNP9O"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// The sending batch was retrieved successfully\n{\n  \"id\": \"\",\n  \"campaignId\": \"\",\n  \"recipientListId\": \"\",\n  \"tag\": \"\",\n  \"chunks\": [\n    \"\"\n  ],\n  \"state\": \"\",\n  \"links\": [\n    {\n      \"uriBuilder\": {},\n      \"rels\": [\n        \"\"\n      ],\n      \"rel\": \"\",\n      \"type\": \"\",\n      \"params\": \"\",\n      \"title\": \"\",\n      \"uri\": \"\"\n    }\n  ]\n}"
        },
        {
          "id": "response-1-404",
          "language": "404",
          "code": "// The sending batch could not be found. Ensure that the required parameter is correct and the sending batch entry exists.\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}